Package org.apache.felix.http.base.internal.service

# Class HttpServiceRuntimeImpl

java.lang.Object
org.apache.felix.http.base.internal.service.HttpServiceRuntimeImpl

All Implemented Interfaces:
  `org.osgi.service.servlet.runtime.HttpServiceRuntime`

public final class HttpServiceRuntimeImpl extends Object implements org.osgi.service.servlet.runtime.HttpServiceRuntime

## Constructor Summary

Constructors
Constructor
Description
`HttpServiceRuntimeImpl(HandlerRegistry registry, WhiteboardManager contextManager, org.osgi.framework.BundleContext bundleContext)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.servlet.runtime.dto.RequestInfoDTO`
`calculateRequestInfoDTO(String path)`
`org.osgi.service.servlet.runtime.dto.RuntimeDTO`
`getRuntimeDTO()`
`org.osgi.framework.ServiceReference<org.osgi.service.servlet.runtime.HttpServiceRuntime>`
`getServiceReference()`
`void`
`register(org.osgi.framework.BundleContext bundleContext)`
`void`
`setAllAttributes(Dictionary<String,Object> newAttributes)`
`void`
`setAttribute(String name, Object value)`
`void`
`unregister()`
`void`
`updateChangeCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServiceRuntimeImpl

public HttpServiceRuntimeImpl(HandlerRegistry registry, WhiteboardManager contextManager, org.osgi.framework.BundleContext bundleContext)

## Method Details

### getRuntimeDTO

public org.osgi.service.servlet.runtime.dto.RuntimeDTO getRuntimeDTO()

Specified by:
  `getRuntimeDTO` in interface `org.osgi.service.servlet.runtime.HttpServiceRuntime`

### calculateRequestInfoDTO

public org.osgi.service.servlet.runtime.dto.RequestInfoDTO calculateRequestInfoDTO(String path)

Specified by:
  `calculateRequestInfoDTO` in interface `org.osgi.service.servlet.runtime.HttpServiceRuntime`

### setAttribute

public void setAttribute(String name, Object value)

### setAllAttributes

public void setAllAttributes(Dictionary<String,Object> newAttributes)

### register

public void register(org.osgi.framework.BundleContext bundleContext)

### unregister

public void unregister()

### getServiceReference

public org.osgi.framework.ServiceReference<org.osgi.service.servlet.runtime.HttpServiceRuntime> getServiceReference()

### updateChangeCount

public void updateChangeCount()